QGIS Application - Feature request #6436
gdal_rasterize GUI does not include the "-burn" option
2012-09-30 02:15 AM - Micha Silver

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 15677
Description

The gdal_rasterize command line utility allows for an option "-burn <value>" which sets all raster pixel values to a static value. This option
does not exist in the GDALTools GUI for gdal_rasterize. In the GUI you can only choose an attrib column from the vector to obtain raster
values.

History

#1 - 2012-10-01 03:17 AM - Giovanni Manghi

- Assignee set to Giuseppe Sucameli

- Target version changed from Version 1.8.0 to Version 2.0.0
#2 - 2012-10-01 11:29 AM - Lorenzo Masini

The manpage of gdal_rasterize says about the -burn option:

-burn value:

A fixed value to burn into a band for all objects. A list of -burn options can be supplied, one per band being written to.

The gui doesn't permit to set the band, so gdal_rasterize assume band 1.

Is it correct to permit only one value for burn (the burn value for band 1)?

#3 - 2012-10-01 11:30 AM - Lorenzo Masini

- Assignee changed from Giuseppe Sucameli to Lorenzo Masini

#4 - 2012-10-01 11:30 PM - Paolo Cavallini

IMHO yes

#5 - 2012-12-30 10:07 AM - Giovanni Manghi

- Assignee changed from Lorenzo Masini to Giuseppe Sucameli

#6 - 2012-12-31 01:23 AM - Paolo Cavallini
- Assignee changed from Giuseppe Sucameli to anonymous -

#7 - 2014-06-28 07:42 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority
#8 - 2014-06-29 10:09 AM - Jiirgen Fischer

- Assignee deleted (anonymous -)
#9 - 2016-01-20 01:58 AM - Médéric RIBREUX

- Category changed from GDAL Tools to Processing/GDAL
- Tag set to easy

Hello, bug triage...

still true for QGIS 2.13 master on both fTools and Processing GDAL.

Like suggested, we only need to add an option for band 1 only in python/plugins/processing/algs/gdal/rasterize.py

I think this is easy to fix and this feature request merits the 'easy' tag...

#10 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No
#11 - 2018-02-02 09:02 AM - Alexander Bruy

- Status changed from Open to Closed
- Resolution set to fixed/implemented

Fixed in master. Please reopen if necessary.

2025-04-26 22


https://github.com/qgis/QGIS/blob/8214608169a09358997c882e5a8c0a26513913f1/python/plugins/processing/algs/gdal/rasterize.py

